diff --git a/lib/hive/paths.rb b/lib/hive/paths.rb
new file mode 100644
index 000000000..8278e4dfb
--- /dev/null
+++ b/lib/hive/paths.rb
@@ -0,0 +1,71 @@
+# frozen_string_literal: true
+
+module Hive
+  # XDG on-disk layout resolver (plan: install/packaging U2).
+  #
+  # Hive's global home used to be `~/Dev/hive/`. v1 moves it onto XDG
+  # paths so a packaged binary can write without owning a source checkout:
+  #
+  #   config  ~/.config/hive        — global config.yml, install-channel
+  #   data    ~/.local/share/hive   — shared assets
+  #   state   ~/.local/state/hive   — pid files, logs (runtime state)
+  #   cache   ~/.cache/hive         — derived caches
+  #
+  # Every path is overridable two ways, in precedence order:
+  #
+  #   1. `HIVE_HOME` — the legacy base override. When set (non-empty), ALL
+  #      four dirs collapse to `HIVE_HOME`, preserving the pre-XDG
+  #      behaviour that pid files and config lived side-by-side. This keeps
+  #      existing scripts, tests, and CI that point HIVE_HOME at a temp
+  #      dir working unchanged.
+  #   2. `XDG_CONFIG_HOME` / `XDG_DATA_HOME` / `XDG_STATE_HOME` /
+  #      `XDG_CACHE_HOME` — per-dir XDG base overrides (only consulted when
+  #      HIVE_HOME is unset). Each defaults to the XDG Base Directory spec
+  #      fallback (`~/.config`, `~/.local/share`, `~/.local/state`,
+  #      `~/.cache`) with the `hive` subdir appended.
+  module Paths
+    module_function
+
+    # The legacy global-home override. Empty string / nil mean "unset" so
+    # an accidental `HIVE_HOME=` doesn't pin everything to the cwd.
+    def home_override
+      v = ENV["HIVE_HOME"]
+      v.nil? || v.empty? ? nil : v
+    end
+
+    def config_dir
+      home_override || xdg_dir("XDG_CONFIG_HOME", "~/.config")
+    end
+
+    def data_dir
+      home_override || xdg_dir("XDG_DATA_HOME", "~/.local/share")
+    end
+
+    def state_dir
+      home_override || xdg_dir("XDG_STATE_HOME", "~/.local/state")
+    end
+
+    def cache_dir
+      home_override || xdg_dir("XDG_CACHE_HOME", "~/.cache")
+    end
+
+    # Resolve one XDG base: honour the env var when non-empty, else the
+    # literal default, then append the `hive` component. The default is
+    # expanded (`~` -> $HOME) so the result is always an absolute path.
+    def xdg_dir(env_var, default)
+      base = ENV[env_var]
+      base = File.expand_path(default) if base.nil? || base.empty?
+      File.join(base, "hive")
+    end
+
+    # The legacy global home (`~/Dev/hive`) that pre-XDG installs wrote.
+    # Used only by the one-way migration shim in Hive::Config.
+    def legacy_home
+      File.expand_path("~/Dev/hive")
+    end
+
+    def legacy_config_path
+      File.join(legacy_home, "config.yml")
+    end
+  end
+end
diff --git a/lib/hive/service.rb b/lib/hive/service.rb
new file mode 100644
index 000000000..ad5de65b9
--- /dev/null
+++ b/lib/hive/service.rb
@@ -0,0 +1,312 @@
+# frozen_string_literal: true
+
+require "fileutils"
+require "rbconfig"
+require "hive/paths"
+
+module Hive
+  # OS-registered service for the hive daemon (plan: install/packaging U4).
+  #
+  # Registers the daemon as a first-class supervisor job — a launchd LaunchAgent
+  # on macOS, a `systemd --user` unit on Linux — instead of an on-demand
+  # subprocess with a pid file. The supervisor owns start/stop/restart; the
+  # foreground `hive daemon start` dispatcher loop remains as the job body the
+  # supervisor execs, and as the fallback when no service is registered.
+  #
+  # Lifecycle verbs and their side effects:
+  #
+  #   register!  write the unit file (idempotent; no enable/start)
+  #   enable!    launchctl load / systemctl --user enable (+ daemon-reload)
+  #   start!     launchctl start / systemctl --user start
+  #   stop!      launchctl stop / systemctl --user stop
+  #   remove!    stop + disable/unload + delete the unit file
+  #
+  # `Hive::Commands::Init` calls register! then prompts the operator whether to
+  # enable+start now (never silent autostart). `hive uninstall` calls remove!.
+  #
+  # The supervisor marks the job body with `HIVE_DAEMON_SERVICE=1` so a
+  # `hive daemon start` exec'd by launchd/systemd runs the dispatcher in the
+  # foreground instead of delegating back to the supervisor (which would loop).
+  module Service
+    module_function
+
+    # launchd label (reverse-DNS-ish, `local.*` namespace for per-user jobs).
+    LAUNCHD_LABEL = "local.hive-daemon"
+    # systemd user unit name (no `.service` suffix in `systemctl` calls).
+    SYSTEMD_UNIT = "hive-daemon"
+
+    # The `ProgramArguments`/`ExecStart` body always runs the dispatcher in the
+    # foreground with this marker so `Daemon#start_daemon` can tell it is being
+    # run by the supervisor.
+    SUPERVISED_ENV = "HIVE_DAEMON_SERVICE"
+
+    # True when this process is the daemon job body spawned by launchd/systemd.
+    def supervised?
+      ENV[SUPERVISED_ENV] == "1"
+    end
+
+    def macos?
+      RbConfig::CONFIG["host_os"] =~ /darwin/i
+    end
+
+    def linux?
+      RbConfig::CONFIG["host_os"] =~ /linux/i
+    end
+
+    def supported?
+      macos? || linux?
+    end
+
+    def launchd_plist_path
+      File.expand_path("~/Library/LaunchAgents/#{LAUNCHD_LABEL}.plist")
+    end
+
+    def systemd_unit_path
+      File.expand_path("~/.config/systemd/user/#{SYSTEMD_UNIT}.service")
+    end
+
+    # The absolute path to the hive binary the unit should invoke. Resolve order:
+    # explicit HIVE_SERVICE_BINARY override, else the running program's path
+    # (a vendored binary's $0), else a ~/.local/bin fallback. Callers (init,
+    # tests) normally inject the resolved path via register!.
+    def binary_path
+      override = ENV["HIVE_SERVICE_BINARY"]
+      return File.expand_path(override) if override && !override.empty?
+
+      prog = $PROGRAM_NAME.to_s
+      return File.expand_path(prog) unless prog.empty?
+
+      File.expand_path("~/.local/bin/hive")
+    end
+
+    # Where the daemon logs land (state dir, per the XDG layout in U2). Used to
+    # generate the unit's stdout/stderr capture paths.
+    def state_dir
+      Hive::Paths.state_dir
+    end
+
+    def registered?
+      return false unless supported?
+
+      File.exist?(unit_file_path)
+    end
+
+    def unit_file_path
+      macos? ? launchd_plist_path : systemd_unit_path
+    end
+
+    def service_name
+      macos? ? LAUNCHD_LABEL : SYSTEMD_UNIT
+    end
+
+    # Write the unit file. Idempotent; does NOT enable or start (the caller
+    # decides whether to enable+start, and must prompt before autostart).
+    # Returns the absolute path written. Raises Hive::Error on unsupported OS.
+    def register!(binary: nil)
+      ensure_supported!
+      path = unit_file_path
+      FileUtils.mkdir_p(File.dirname(path))
+      File.write(path, macos? ? render_plist(binary || binary_path) : render_unit(binary || binary_path))
+      path
+    end
+
+    def enable!
+      ensure_supported!
+      if macos?
+        run("launchctl", "load", launchd_plist_path)
+      else
+        run("systemctl", "--user", "daemon-reload")
+        run("systemctl", "--user", "enable", SYSTEMD_UNIT)
+      end
+    end
+
+    def start!
+      ensure_supported!
+      macos? ? run("launchctl", "start", LAUNCHD_LABEL) : run("systemctl", "--user", "start", SYSTEMD_UNIT)
+    end
+
+    def stop!
+      ensure_supported!
+      macos? ? run("launchctl", "stop", LAUNCHD_LABEL) : run("systemctl", "--user", "stop", SYSTEMD_UNIT)
+    end
+
+    # Stop + disable/unload + delete the generated unit. Idempotent: removing a
+    # service that was never registered is a no-op. Returns true when a unit
+    # file was present and removed, false when there was nothing to remove.
+    def remove!
+      return false unless supported?
+
+      path = unit_file_path
+      return false unless File.exist?(path)
+
+      if macos?
+        run("launchctl", "unload", path)
+      else
+        run("systemctl", "--user", "disable", SYSTEMD_UNIT)
+        run("systemctl", "--user", "daemon-reload")
+      end
+      File.delete(path)
+      true
+    end
+
+    # Whether the supervisor currently reports the service as active/running.
+    # Best-effort: a supervisor that isn't running (no user session bus) is
+    # reported as not-running rather than raising.
+    def running?
+      return false unless supported? && registered?
+
+      macos? ? launchd_running? : systemd_running?
+    end
+
+    # `launchctl list <label>` exits 0 whenever the job is merely LOADED — even
+    # when it is dead or never started — so its exit status cannot be the
+    # running signal. Parse the PID field instead: only a positive integer PID
+    # means the job is actually running.
+    def launchd_running?
+      out, _ok = run_capture("launchctl", "list", LAUNCHD_LABEL)
+      pid = launchd_pid(out)
+      pid && pid.positive?
+    end
+
+    def systemd_running?
+      run_capture("systemctl", "--user", "is-active", "--quiet", SYSTEMD_UNIT).last
+    end
+
+    # Extract the PID from `launchctl list <label>` output. Handles both the
+    # plist-style form (`"PID" = 123;`, where a loaded-but-not-running job
+    # reports `-1`) and the classic tab-separated table (`PID\tStatus\tLabel`,
+    # where the not-running PID column is `-`). Returns nil when no PID is
+    # present or the job is not loaded.
+    def launchd_pid(output)
+      output.to_s.each_line do |line|
+        if (m = line.match(/^\s*["']?PID["']?\s*=\s*(-?\d+)\s*;\s*$/i))
+          return m[1].to_i
+        end
+
+        cols = line.split
+        next if cols.empty?
+        next if cols.first.casecmp?("PID") # classic table header row
+        next unless cols.first.match?(/\A-?\d+\z/)
+
+        return cols.first.to_i
+      end
+      nil
+    end
+
+    # Structured status for the daemon command's service path.
+    # `active_state` is one of "active"/"inactive"/"unknown".
+    def status
+      return { registered: false, active_state: "inactive" } unless supported? && registered?
+
+      active = running? ? "active" : "inactive"
+      { registered: true, active_state: active }
+    end
+
+    # The command runner, injectable for tests. Default shells out for real.
+    class << self
+      attr_writer :runner
+
+      def runner
+        @runner ||= ->(*cmd) { system(*cmd) }
+      end
+    end
+
+    def run(*cmd)
+      runner.call(*cmd)
+    end
+
+    def run_capture(*cmd)
+      out = IO.popen(cmd.flatten, err: %i[child out], &:read)
+      [ out, $CHILD_STATUS&.success? == true ]
+    rescue Errno::ENOENT
+      [ "", false ]
+    end
+
+    def ensure_supported!
+      return if supported?
+
+      raise Hive::Error,
+            "hive daemon service is not supported on #{RbConfig::CONFIG['host_os']}; " \
+            "use `hive daemon start` for the foreground fallback"
+    end
+
+    def ensure_registered!
+      return if registered?
+
+      raise Hive::Error,
+            "hive daemon is not registered as a service; run `hive init` or " \
+            "`hive daemon enable` first"
+    end
+
+    def render_plist(binary)
+      out_log = File.join(File.expand_path("~/Library/Logs"), "#{LAUNCHD_LABEL}.out.log")
+      err_log = File.join(File.expand_path("~/Library/Logs"), "#{LAUNCHD_LABEL}.err.log")
+      <<~PLIST
+        <?xml version="1.0" encoding="UTF-8"?>
+        <!DOCTYPE plist PUBLIC "-//Apple Computer//DTD PLIST 1.0//EN"
+          "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+        <plist version="1.0">
+        <dict>
+          <key>Label</key>
+          <string>#{LAUNCHD_LABEL}</string>
+
+          <key>ProgramArguments</key>
+          <array>
+            <string>/bin/sh</string>
+            <string>-c</string>
+            <string>[ -x "$0" ] || exit 0; exec "$0" "$@"</string>
+            <string>#{binary}</string>
+            <string>daemon</string>
+            <string>start</string>
+          </array>
+
+          <key>RunAtLoad</key>
+          <false/>
+
+          <key>KeepAlive</key>
+          <dict>
+            <key>SuccessfulExit</key>
+            <false/>
+          </dict>
+
+          <key>ThrottleInterval</key>
+          <integer>30</integer>
+
+          <key>StandardOutPath</key>
+          <string>#{out_log}</string>
+          <key>StandardErrorPath</key>
+          <string>#{err_log}</string>
+
+          <key>EnvironmentVariables</key>
+          <dict>
+            <key>#{SUPERVISED_ENV}</key>
+            <string>1</string>
+          </dict>
+        </dict>
+        </plist>
+      PLIST
+    end
+
+    def render_unit(binary)
+      <<~UNIT
+        [Unit]
+        Description=Hive auto-advancing dispatcher (ADR-024)
+        After=default.target
+        StartLimitBurst=3
+        StartLimitIntervalSec=300
+
+        [Service]
+        Type=simple
+        Environment=#{SUPERVISED_ENV}=1
+        ExecStart=#{binary} daemon start
+        Restart=on-failure
+        RestartSec=30s
+        KillMode=mixed
+        TimeoutStopSec=900
+
+        [Install]
+        WantedBy=default.target
+      UNIT
+    end
+  end
+end
diff --git a/packaging/assemble.sh b/packaging/assemble.sh
new file mode 100755
index 000000000..d8fbe3bae
--- /dev/null
+++ b/packaging/assemble.sh
@@ -0,0 +1,32 @@
+#!/usr/bin/env bash
+# Assemble tarballs + a SHA256SUMS file from the per-target build artifacts
+# downloaded by the release workflow (plan: install/packaging U1). Expects
+# each target's `hive` binary under dist/<target>/hive.
+set -euo pipefail
+
+DIST_ROOT="${1:-dist}"
+
+cd "${DIST_ROOT}"
+
+# Every tier-1 target → a tarball with the binary at the archive root.
+for target_dir in hive-*; do
+  [ -d "${target_dir}" ] || continue
+  bin_path="${target_dir}/hive"
+  [ -f "${bin_path}" ] || { echo "missing binary: ${bin_path}" >&2; exit 1; }
+
+  tar_name="${target_dir}.tar.gz"
+  # Archive the binary alone so the formula/PKGBUILD can extract predictably.
+  tar -czf "${tar_name}" -C "${target_dir}" hive
+  echo "packed ${tar_name}"
+done
+
+# SHA256SUMS over the tarballs (the canonical integrity anchor every channel
+# verifies against — install.sh fail-closes on mismatch).
+: > SHA256SUMS
+for tar in *.tar.gz; do
+  ( cd "$(dirname "${tar}")" && sha256sum "$(basename "${tar}")" ) >> SHA256SUMS
+done
+sort -o SHA256SUMS SHA256SUMS
+
+echo "--- SHA256SUMS ---"
+cat SHA256SUMS
diff --git a/packaging/aur/.SRCINFO b/packaging/aur/.SRCINFO
new file mode 100644
index 000000000..eef1efc7b
--- /dev/null
+++ b/packaging/aur/.SRCINFO
@@ -0,0 +1,10 @@
+pkgbase = hive-bin
+	pkgdesc = Folder-as-agent pipeline: eight-stage multi-agent control plane + TUI
+	pkgver = 0.1.0
+	pkgrel = 1
+	url = https://github.com/ivankuznetsov/hive
+	arch = x86_64
+	license = MIT
+	depends = glibc
+	source = hive-bin-0.1.0.tar.gz::https://github.com/ivankuznetsov/hive/releases/download/v0.1.0/hive-linux-x86_64-glibc.tar.gz
+	sha256sums = REPLACE_WITH_SHA256_OF_hive-linux-x86_64-glibc.tar.gz
diff --git a/packaging/aur/PKGBUILD b/packaging/aur/PKGBUILD
new file mode 100644
index 000000000..97dbf6a9c
--- /dev/null
+++ b/packaging/aur/PKGBUILD
@@ -0,0 +1,24 @@
+# Maintainer: hive maintainers <https://github.com/ivankuznetsov/hive>
+
+# hive-bin — prebuilt hive binary for Arch (plan: install/packaging U7).
+# Consumes the U1 vendored-Ruby binary from GitHub Releases; no build step,
+# no system Ruby. The package is ALWAYS named `hive-bin` regardless of any
+# binary conflict resolution. `hive-git` is deferred (see plan Scope).
+
+pkgname=hive-bin
+pkgver=0.1.0
+pkgrel=1
+pkgdesc="Folder-as-agent pipeline: eight-stage multi-agent control plane + TUI"
+arch=('x86_64')
+url="https://github.com/ivankuznetsov/hive"
+license=('MIT')
+depends=('glibc')
+source=("${pkgname}-${pkgver}.tar.gz::https://github.com/ivankuznetsov/hive/releases/download/v${pkgver}/hive-linux-x86_64-glibc.tar.gz")
+sha256sums=('REPLACE_WITH_SHA256_OF_hive-linux-x86_64-glibc.tar.gz')
+
+package() {
+  install -Dm755 "hive" "${pkgdir}/usr/bin/hive"
+  # Conflict-safe alias: a foreign `hive` (Apache Hive) owns the name on some
+  # systems; `hv` always dispatches the same hive CLI.
+  ln -s hive "${pkgdir}/usr/bin/hv"
+}
diff --git a/packaging/build.sh b/packaging/build.sh
new file mode 100755
index 000000000..1ff42f905
--- /dev/null
+++ b/packaging/build.sh
@@ -0,0 +1,55 @@
+#!/usr/bin/env bash
+# Build the self-contained hive binary for one tier-1 target via Tebako
+# (plan: install/packaging U1). Produces dist/<target>/hive plus a verification
+# report. Run from the repo root:
+#
+#   TEBAKO_TARGET=hive-macos-arm64 ./packaging/build.sh
+#
+# The Charm FFI shared libraries (bubbletea / lipgloss) are the one piece
+# Tebako does not trivially bundle (plan Risks R1). This script verifies they
+# were captured and, if not, emits the documented fallback notice rather than
+# silently shipping a TUI-broken binary.
+set -euo pipefail
+
+TARGET="${1:-${TEBAKO_TARGET:-hive-linux-x86_64-glibc}}"
+DIST_DIR="dist/${TARGET}"
+OUT_BIN="${DIST_DIR}/hive"
+
+mkdir -p "${DIST_DIR}"
+
+if command -v tebako >/dev/null 2>&1; then
+  tebako package \
+    --config packaging/tebako.yml \
+    --output "${OUT_BIN}"
+elif [ -x ./bin/tebako ]; then
+  ./bin/tebako package --config packaging/tebako.yml --output "${OUT_BIN}"
+else
+  echo "tebako: not found on PATH and ./bin/tebako missing" >&2
+  echo "install tebako (https://github.com/tamatebako/tebako) or run the release CI job" >&2
+  exit 1
+fi
+
+chmod +x "${OUT_BIN}"
+
+# --- R1 verification: are the Charm FFI shared libraries captured? ----------
+# A vendored binary that can't load bubbletea/lipgloss still runs every
+# headless verb; only the TUI path breaks. Detect that and surface the
+# fallback instead of failing the whole build silently.
+#
+# The Tebako binary's entrypoint is the hive CLI (not a `ruby` subcommand), so
+# the check must use a real entrypoint: `hive ffi-check` requires bubbletea +
+# lipgloss and prints `ffi-ok` iff both load.
+VERIFY_REPORT="${DIST_DIR}/ffi-verification.txt"
+if "${OUT_BIN}" ffi-check > "${VERIFY_REPORT}" 2>&1; then
+  echo "ffi: charm libraries captured (TUI path OK)"
+else
+  {
+    echo "ffi: WARNING — Charm FFI shared libraries were NOT captured into the binary."
+    echo "     The TUI path (hive tui) will not work without system Ruby/gems."
+    echo "     See plan Risks R1 for the documented fallback chain."
+  } >> "${VERIFY_REPORT}"
+  cat "${VERIFY_REPORT}" >&2
+fi
+
+echo "built ${OUT_BIN}"
+echo "verification report: ${VERIFY_REPORT}"
diff --git a/packaging/homebrew/hive.rb b/packaging/homebrew/hive.rb
new file mode 100644
index 000000000..2fbd6253f
--- /dev/null
+++ b/packaging/homebrew/hive.rb
@@ -0,0 +1,49 @@
+# Hive (plan: install/packaging U6).
+#
+# Homebrew formula for a project-owned tap (`homebrew-hive`). Consumes the U1
+# vendored binary from GitHub Releases — no Ruby, no build step, no `depends_on`
+# Ruby-related anything. Tier-1 targets: macOS arm64 and Linux x86_64 glibc.
+#
+#   brew tap <org>/homebrew-hive
+#   brew install hive
+#   brew upgrade hive
+#   brew uninstall hive
+#
+# The sha256 pins are the U1 release checksums. Update `version`, each `url`,
+# and each `sha256` together when cutting a new release (see the U1 workflow's
+# SHA256SUMS).
+class Hive < Formula
+  desc "Folder-as-agent pipeline: eight-stage multi-agent control plane + TUI"
+  homepage "https://github.com/ivankuznetsov/hive"
+  license "MIT"
+  version "0.1.0"
+
+  on_macos do
+    on_arm do
+      url "https://github.com/ivankuznetsov/hive/releases/download/v0.1.0/hive-macos-arm64.tar.gz"
+      sha256 "REPLACE_WITH_SHA256_OF_hive-macos-arm64.tar.gz"
+    end
+  end
+
+  on_linux do
+    on_intel do
+      url "https://github.com/ivankuznetsov/hive/releases/download/v0.1.0/hive-linux-x86_64-glibc.tar.gz"
+      sha256 "REPLACE_WITH_SHA256_OF_hive-linux-x86_64-glibc.tar.gz"
+    end
+  end
+
+  # A foreign `hive` (e.g. Apache Hive) owns the name on many systems; hive's
+  # own conflict-safe alias lets both coexist. Installing this formula also
+  # provides `hv` so a pre-existing `hive` doesn't force a rename war.
+  conflicts_with "hive", because: "hive is also the Apache Hive CLI name; use `hv` from this tap"
+
+  def install
+    bin.install "hive"
+    bin.install_symlink "hive" => "hv"
+  end
+
+  test do
+    assert_match version.to_s, shell_output("#{bin}/hive --version").strip
+    assert_match version.to_s, shell_output("#{bin}/hv --version").strip
+  end
+end
diff --git a/packaging/pin-checksums.sh b/packaging/pin-checksums.sh
new file mode 100755
index 000000000..ca3c55052
--- /dev/null
+++ b/packaging/pin-checksums.sh
@@ -0,0 +1,60 @@
+#!/usr/bin/env bash
+# Pin the U1 release checksums into the packaging manifests (plan:
+# install/packaging U6/U7). Reads SHA256SUMS (produced by assemble.sh) and
+# replaces every `REPLACE_WITH_SHA256_OF_<file>` placeholder in
+# packaging/homebrew/hive.rb, packaging/aur/PKGBUILD, and
+# packaging/aur/.SRCINFO with the real digest. Fails closed when a placeholder
+# has no matching SHA256SUMS entry, so a release can never publish a manifest
+# that still carries a placeholder (which would break `brew install` /
+# `makepkg` / `brew audit`).
+#
+# Usage:
+#   ./packaging/pin-checksums.sh [path/to/SHA256SUMS]
+#
+# The release workflow runs this after assemble.sh; tap/AUR maintainers run it
+# locally to pin the manifests before pushing a new formula/PKGBUILD.
+set -euo pipefail
+
+SUMS_FILE="${1:-dist/SHA256SUMS}"
+REPO_ROOT="$(cd "$(dirname "$0")/.." && pwd)"
+
+MANIFESTS=(
+  packaging/homebrew/hive.rb
+  packaging/aur/PKGBUILD
+  packaging/aur/.SRCINFO
+)
+
+if [ ! -f "${SUMS_FILE}" ]; then
+  echo "pin-checksums: ${SUMS_FILE} not found; run packaging/assemble.sh first" >&2
+  exit 1
+fi
+
+missing=0
+for manifest in "${MANIFESTS[@]}"; do
+  path="${REPO_ROOT}/${manifest}"
+  [ -f "${path}" ] || { echo "pin-checksums: missing manifest ${path}" >&2; exit 1; }
+
+  placeholders="$(grep -oE 'REPLACE_WITH_SHA256_OF_[A-Za-z0-9._-]+' "${path}" || true)"
+  [ -n "${placeholders}" ] || continue
+
+  while IFS= read -r placeholder; do
+    file="${placeholder#REPLACE_WITH_SHA256_OF_}"
+    sha="$(awk -v f="${file}" '$2 == f { print $1 }' "${SUMS_FILE}")"
+    if [ -z "${sha}" ]; then
+      echo "pin-checksums: no SHA256SUMS entry for ${file} " \
+           "(placeholder ${placeholder} in ${manifest})" >&2
+      missing=1
+      continue
+    fi
+    sed -i.bak "s|${placeholder}|${sha}|g" "${path}"
+    rm -f "${path}.bak"
+    echo "pin-checksums: pinned ${manifest}: ${file} = ${sha}"
+  done <<< "${placeholders}"
+done
+
+if [ "${missing}" -ne 0 ]; then
+  echo "pin-checksums: refusing to proceed with unresolved placeholders" >&2
+  exit 1
+fi
+
+echo "pin-checksums: all manifests pinned from ${SUMS_FILE}"
diff --git a/test/integration/init_test.rb b/test/integration/init_test.rb
index 0b4238612..58ea68717 100644
--- a/test/integration/init_test.rb
+++ b/test/integration/init_test.rb
@@ -214,7 +214,7 @@ class InitTest < Minitest::Test
     inputs = [
       "codex", "2", "1,3", "safetyist",
       "", "30,900", "", "", "", "", "", "", "",
-      "", ""
+      "", "", ""
     ].join("\n") + "\n"
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
@@ -244,7 +244,7 @@ class InitTest < Minitest::Test
 
   def test_init_with_daemon_disabled_writes_disabled_config
     # Same shape as above but explicitly answer `n` to the daemon prompt.
-    inputs = (([ "" ] * 13) + [ "n", "" ]).join("\n") + "\n"
+    inputs = (([ "" ] * 13) + [ "n", "", "" ]).join("\n") + "\n"
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
         prompts = make_tty_prompts(inputs)
@@ -259,8 +259,9 @@ class InitTest < Minitest::Test
 
   def test_init_aborts_with_zero_disk_state_when_user_says_n
     # Blank for everything until confirmation; answer `n` at the end.
-    # 14 blanks: planning, dev, reviewers, triage bias, 9 limits, daemon-enable.
-    inputs = (([ "" ] * 14) + [ "n" ]).join("\n") + "\n"
+    # 15 blanks: planning, dev, reviewers, triage bias, 9 limits,
+    # daemon-enable, daemon-service-enable+start.
+    inputs = (([ "" ] * 15) + [ "n" ]).join("\n") + "\n"
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
         prompts = make_tty_prompts(inputs)
@@ -287,6 +288,36 @@ class InitTest < Minitest::Test
     end
   end
 
+  def test_init_registers_daemon_service_when_prompt_accepts
+    # Interactive init with a `y` at the daemon-service question must
+    # register + enable + start the service. HOME is redirected so the
+    # unit file lands in a tmpdir, and Service.runner is stubbed so the
+    # enable/start commands are captured rather than shelling out to
+    # systemctl/launchctl.
+    Dir.mktmpdir("hive-svc-init") do |home|
+      commands = []
+      Hive::Service.runner = ->(*cmd) { commands << cmd; true }
+      prev_home = ENV["HOME"]
+      ENV["HOME"] = home
+      begin
+        inputs = (([ "" ] * 14) + [ "y", "" ]).join("\n") + "\n"
+        with_tmp_global_config do
+          with_tmp_git_repo do |dir|
+            capture_io { Hive::Commands::Init.new(dir, prompts: make_tty_prompts(inputs)).call }
+          end
+        end
+
+        unit = File.join(home, ".config/systemd/user/hive-daemon.service")
+        assert File.exist?(unit), "service unit must be registered"
+        assert commands.any? { |c| c.include?("enable") }, "enable command must run"
+        assert commands.any? { |c| c.include?("start") }, "start command must run"
+      ensure
+        ENV["HOME"] = prev_home
+        Hive::Service.runner = nil
+      end
+    end
+  end
+
   def test_init_already_initialized_short_circuits_before_any_prompt
     # On a re-run of `hive init` the AlreadyInitialized guard must fire
     # BEFORE the prompt module reads anything from stdin. We feed an
diff --git a/test/integration/install_acceptance_test.rb b/test/integration/install_acceptance_test.rb
new file mode 100644
index 000000000..c63e805f3
--- /dev/null
+++ b/test/integration/install_acceptance_test.rb
@@ -0,0 +1,76 @@
+# frozen_string_literal: true
+
+require_relative "../test_helper"
+require "open3"
+
+# End-to-end acceptance for the install/uninstall lifecycle (plan: U11).
+# Exercises the real bin/hive entry point in subprocesses over an isolated
+# HOME/HIVE_HOME, so it validates the CLI surface (--version, hv alias, init,
+# uninstall --purge) without touching the developer's real home.
+#
+# Scenario D (clean uninstall preserves work) is fully container-runnable;
+# scenarios A (macOS brew) / B (Arch AUR) / C (prompt) are documented manual
+# checklists in docs/acceptance.md because they need macOS/Arch hardware.
+class InstallAcceptanceTest < Minitest::Test
+  include HiveTestHelper
+
+  ROOT = File.expand_path("../..", __dir__)
+
+  def run_hive(*args, env: {})
+    Open3.capture3(env, RbConfig.ruby, File.join(ROOT, "bin", "hive"), *args)
+  end
+
+  def isolated_env(root)
+    {
+      "HOME" => File.join(root, "home"),
+      "HIVE_HOME" => File.join(root, "config-home"),
+      "PATH" => ENV.fetch("PATH", "")
+    }
+  end
+
+  def test_hive_and_hv_report_version
+    with_tmp_dir do |root|
+      env = isolated_env(root)
+      FileUtils.mkdir_p(env["HOME"])
+
+      out, err, status = run_hive("--version", env: env)
+      assert status.success?, "hive --version failed: #{err}"
+      assert_match(/^\d+\.\d+\.\d+$/, out.strip)
+
+      out_hv, err_hv, status_hv = Open3.capture3(env, RbConfig.ruby, File.join(ROOT, "bin", "hv"), "--version")
+      assert status_hv.success?, "hv --version failed: #{err_hv}"
+      assert_equal out, out_hv, "hv must dispatch the same version as hive"
+    end
+  end
+
+  def test_scenario_d_uninstall_preserves_completed_work
+    with_tmp_dir do |root|
+      env = isolated_env(root)
+      FileUtils.mkdir_p(env["HOME"])
+
+      with_tmp_git_repo do |dir|
+        _out, err, status = run_hive("init", dir, env: env)
+        assert status.success?, "hive init failed: #{err}"
+
+        state = File.join(dir, ".hive-state")
+        assert File.directory?(state), "init must create .hive-state"
+        assert File.exist?(File.join(state, "config.yml")), "init must scaffold config.yml"
+
+        # Simulate completed + in-flight work.
+        done = File.join(state, "stages", "8-done", "merged-task")
+        inflight = File.join(state, "stages", "4-execute", "active-task")
+        FileUtils.mkdir_p(done)
+        FileUtils.mkdir_p(inflight)
+        File.write(File.join(done, "summary.md"), "merged")
+
+        _out, err, status = run_hive("uninstall", "--purge", env: env)
+        assert status.success?, "hive uninstall --purge failed: #{err}"
+
+        assert File.directory?(done), "completed work (8-done) must survive uninstall"
+        assert File.exist?(File.join(done, "summary.md")), "completed artifact must survive"
+        refute File.directory?(inflight), "in-flight work must be removed"
+        refute File.exist?(env["HIVE_HOME"] + "/config.yml"), "global config must be removed"
+      end
+    end
+  end
+end
diff --git a/test/integration/new_test.rb b/test/integration/new_test.rb
index 05ce6f806..d9c24f13d 100644
--- a/test/integration/new_test.rb
+++ b/test/integration/new_test.rb
@@ -189,7 +189,11 @@ class NewTest < Minitest::Test
   end
 
   def test_attachments_accept_absolute_sources_outside_tmpdir
-    source_dir = Dir.mktmpdir("hive-new-src-", Dir.home)
+    # Source must live OUTSIDE Dir.tmpdir (the test proves absolute sources
+    # from arbitrary locations are accepted). Use the repo root — Dir.home is
+    # now isolated to a tmpdir by the test-suite $HOME isolation, so it is no
+    # longer guaranteed to be outside Dir.tmpdir.
+    source_dir = Dir.mktmpdir("hive-new-src-", File.expand_path("../..", __dir__))
     begin
       fixture = File.join(source_dir, "fixture.png")
       File.binwrite(fixture, "outside-tmp".b)
diff --git a/test/test_helper.rb b/test/test_helper.rb
index d251d52bf..7108f0807 100644
--- a/test/test_helper.rb
+++ b/test/test_helper.rb
@@ -9,13 +9,23 @@ require "shellwords"
 require "English"
 require "hive"
 
-module HiveTestStdinIsolation
+module HiveTestIsolation
   # Keep tests hermetic when the suite is launched from a real terminal:
   # production `hive init` prompts on TTY stdin, but tests that need the
   # interactive path inject their own tty-flagged StringIO explicitly.
+  #
+  # Also isolate $HOME: `hive init` registers the daemon unit file under
+  # `~/.config/systemd/user/hive-daemon.service` (Hive::Service.register!
+  # resolves `~` from $HOME, not $HIVE_HOME). Redirecting HOME to a scratch
+  # dir keeps every test from writing the unit file into the developer's real
+  # home. Tests that need a specific HOME (e.g. tilde-path resolution) set it
+  # explicitly inside the test body, which overrides this default.
   def before_setup
     @hive_original_stdin = $stdin
     $stdin = StringIO.new
+    @hive_original_home = ENV["HOME"]
+    @hive_tmp_home = Dir.mktmpdir("hive-test-home")
+    ENV["HOME"] = @hive_tmp_home
     super
   end
 
@@ -23,10 +33,12 @@ module HiveTestStdinIsolation
     super
   ensure
     $stdin = @hive_original_stdin if defined?(@hive_original_stdin)
+    ENV["HOME"] = @hive_original_home if defined?(@hive_original_home)
+    FileUtils.rm_rf(@hive_tmp_home) if defined?(@hive_tmp_home) && @hive_tmp_home
   end
 end
 
-Minitest::Test.include(HiveTestStdinIsolation)
+Minitest::Test.include(HiveTestIsolation)
 
 # Shared fixture paths for tests. Constants here so a future move of
 # test/fixtures lands in one place instead of every test that needs
